@font-face {
    font-family: 'Futura PT';
    src: url('../fonts/FuturaPT-Light.ttf') format('truetype');
    font-weight: 400;
    /* Light */
    font-style: normal;
}

@font-face {
    font-family: 'Futura PT';
    src: url('../fonts/FuturaPT-Heavy.ttf') format('truetype');
    font-weight: 900;
    /* Heavy */
    font-style: normal;
}

@font-face {
    font-family: 'Futura PT';
    src: url('../fonts/FuturaPT-Medium.ttf') format('truetype');
    font-weight: 500;
    /* Medium */
    font-style: normal;
}


/* General Styles */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* font-family: sans-serif; */
}

html {
    scroll-padding-top: 120px;
    height: 100%;
}

body {
    background: #e6e3dc;
    font-size: 1.2rem !important;
    font-family: 'Futura PT', sans-serif;
    font-weight: 300;
    min-height: 100%;
    /* Light */
}

p,
span {
    font-size: 1.2rem !important;
}

h1 {
    font-family: 'Futura PT', sans-serif;
    font-weight: 900;
    /* Heavy */
}

h2,
h3,
h4 {
    font-family: 'Futura PT', sans-serif;
    font-weight: 500;
    /* Medium */
}

a {
    text-decoration: none;
    color: black
}

a:hover {
    color: #bc6b54;
}

ul li {
    list-style: none;
}


/* comman table styling */

.table-striped tbody tr:nth-child(4n+1) {
    background-color: #afbbb4ef !important;
}

.table-striped tbody tr:nth-child(4n+2),
.table-striped tbody tr:nth-child(4n+4) {
    background-color: #c7c3bdd8 !important;
}

.table-striped tbody tr:nth-child(4n+3) {
    background-color: #9ea78ed6 !important;
}

.table {
    --bs-table-bg: rgb(115 109 109 / 11%) !important;
}

.table td {
    border: 1.5px solid black !important;
}

.table>:not(caption)>*>* {
    padding: .7rem 2rem 1.5rem 2rem !important;
}


/* header menu dropdown styling */

.dropdown-menu {
    margin-top: .5rem;
    background: #e6e3dc;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

.dropdown-menu .dropdown-item:hover {
    color: #bc6b54;
}

.dropdown-menu .dropdown-item:active {
    background: rgb(238, 236, 236);
}

.dropdown-menu.show {
    opacity: 1;
    transition: opacity 0.3s ease-in-out;
}


/* Background and Color Styles */

.bg-green {
    background: #002e27;
}

.bg-cream {
    background: #e6e3dc;
}

.bg-orange {
    background: #bc6b54;
}

.of-color {
    color: #bc6b54;
}

.gf-color {
    color: #002e27;
}

.wrapper {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

.wrapper .wrapper-content {
    flex: 1;
    display: flex;
    flex-direction: column;
}


/* Button */

.c-btn {
    background-color: #bc6b54;
    padding: .5rem 1.5rem;
    color: white;
    border: none;
    width: fit-content;
    /* font-size: 1.2rem; */
}

.c-btn:hover {
    background-color: #ad634f;
}


/* Header */

header {
    position: sticky;
    top: 0;
    z-index: 1000;
    transition: all 0.2s ease-in-out;
}

.logo h4 {
    /* letter-spacing: .5rem; */
    color: #000;
}

.logo img {
    height: 1.5rem;
}


/* Initially hide the Projects submenu */

#projectsDropdown {
    display: none;
    position: absolute;
    top: -24% !important;
    left: 103% !important;
    z-index: 1000;
}

#oneToManyDropdown:active+#projectsDropdown {
    display: block;
}

#projectsDropdown .dropdown-item {
    white-space: nowrap;
}


/* Main Content */

.main-heading {
    font-size: 3.5rem;
    color: #002e27;
    background: #bc6b54;
    padding: 1rem;
    font-weight: bold;
    box-sizing: border-box;
    line-height: normal;
}


/* home page */

#home {
    flex: 1;
    display: flex;
    flex-direction: column;
}

#home .banner {
    flex: 1;
    position: relative;
    overflow: hidden;
    color: #002e27;
    background-color: #ad634f;

}


#home .banner h1 {
    font-size: 6rem;
    line-height: 5.5rem;
}

#home .banner h6 {
    font-size: 1.3rem;
}

.letter {
    margin: 0;
    font-size: 4.4rem;
    line-height: 4rem;
}

.banner-content {
    position: relative;
    /* right: -3em; */
}

.banner-img {
    width: 40%;
    height: 350px;
    background: url('../images/whitelogo.png') no-repeat center;
    background-size: contain;
    filter: drop-shadow(0px 1px 7px #ffffff68);
    -webkit-mask-image: radial-gradient(circle, rgba(0, 0, 0, 1) 50%, rgba(0, 0, 0, 0) 100%);
    mask-image: radial-gradient(circle, rgba(0, 0, 0, 1) 50%, rgba(0, 0, 0, 0) 100%);
    -webkit-mask-size: 300% 300%;
    mask-size: 300% 300%;
    -webkit-mask-position: 100% 100%;
    mask-position: 100% 100%;
    animation: brushStrokeReveal 2s ease-in-out forwards;
}

#animated-text h1 {
    display: inline-block;
    opacity: 0;
    transform: scale(0.5);
    animation: popUp 0.5s ease-out forwards;
    filter: drop-shadow(0px 1px 3px #ffffff34);
}


/* .overlay1 {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #00000037;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    z-index: 200;
} */


/* about page */

.about-img img {
    max-height: 30rem;
    max-width: 314px;
}

.about-content .aboutme-para {
    margin-bottom: 1.5rem;
    /* Adjust as needed for spacing between sections */
    line-height: 1.6;
    /* Ensures readable line spacing */
}

.about-content .aboutme-para br {
    margin-bottom: 0.5rem;
    /* Adds slight space for single <br> */
    display: block;
    content: "";
}


/* blog */

#blog ul li {
    list-style: disc;
}

#blog a {
    text-decoration: underline;
}

#blog table,
#blog th,
#blog td {
    border-collapse: collapse;
    border: 1px solid black;
    padding: 1rem;
}

#blog .card {
    min-height: 241px;
}

#blog img {
    max-height: 100%;
    max-width: 100%;
}

#blog .card-img-container {
    position: relative;
}

#blog .card-img-cover {
    width: 100%;
    height: 100%;
    max-height: 300px;
    object-fit: fill;
    object-position: center;
}

#blog .card-title {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.3;
    margin-bottom: 0.5rem;
}

#blog .card-text {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 1.4;
}

#Resources a {
    text-decoration: underline;
}

footer p {
    padding: .1rem 0rem;
}

@media (min-width: 1120px) {
    .about-img img {
        max-height: 25rem;
    }
}

@media (max-width: 991px) {
    html {
        scroll-padding-top: 570px;
    }
    /* home */
    #home .banner h1 {
        font-size: 3rem;
        line-height: 3rem;
    }
    .about-img {
        top: 0;
    }
    .about-img img {
        max-height: 23rem;
    }
    #blog .card-img-container {
        height: fit-content;
    }
}

@media (max-width: 768px) {
    .banner-content {
        position: relative;
        z-index: 1;
    }
    .banner-img {
        width: 100%;
        position: absolute;
        z-index: 0;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        opacity: 0.1;
    }
    .main-heading {
        font-size: 2.8rem;
    }
    /* home */
    #home .banner h1 {
        font-size: 3.4rem;
        line-height: 3.4rem;
    }
    #home .banner .banner-content {
        text-align: center;
    }
}

@media (max-width: 576px) {
    .main-heading {
        font-size: 2.8rem;
    }
}

@media (max-width: 427px) {
    /* home */
    #home .banner h1 {
        font-size: 2.4rem;
        line-height: 2.4rem;
    }
}


/* keyfram for home page image */

@keyframes brushStrokeReveal {
    0% {
        -webkit-mask-size: 300% 300%;
        mask-size: 300% 300%;
        -webkit-mask-position: 100% 100%;
        mask-position: 100% 100%;
    }
    100% {
        -webkit-mask-size: 100% 100%;
        mask-size: 100% 100%;
        -webkit-mask-position: 0 0;
        mask-position: 0 0;
    }
}


/* keyfram for text animation in home page */

@keyframes popUp {
    0% {
        opacity: 0;
        transform: scale(0.5);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}